Package be.fgov.ehealth.etee.kgss._1_0.protocol

# Class GetNewKeyResponse

java.lang.Object
be.fgov.ehealth.etee.commons._1_0.etee.EteeResponseType
be.fgov.ehealth.etee.kgss._1_0.protocol.GetNewKeyResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetNewKeyResponse extends EteeResponseType implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:etee:commons:1_0:etee}EteeResponseType">
           <sequence minOccurs="0">
             <element name="SealedNewKeyResponse" type="{urn:be:fgov:ehealth:etee:kgss:1_0:protocol}SealedContentType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetNewKeyResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SealedContentType`
  `getSealedNewKeyResponse()`
  Gets the value of the sealedNewKeyResponse property.
  `void`
  `setSealedNewKeyResponse(SealedContentType value)`
  Sets the value of the sealedNewKeyResponse property.

  ### Methods inherited from class be.fgov.ehealth.etee.commons._1_0.etee.EteeResponseType

  `getErrors, getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetNewKeyResponse

    public GetNewKeyResponse()

- ## Method Details

  - ### getSealedNewKeyResponse

    public SealedContentType getSealedNewKeyResponse()
    Gets the value of the sealedNewKeyResponse property.
    Returns:
      possible object is `SealedContentType`

  - ### setSealedNewKeyResponse

    public void setSealedNewKeyResponse(SealedContentType value)
    Sets the value of the sealedNewKeyResponse property.
    Parameters:
      `value` - allowed object is `SealedContentType`